<template>
  <div class="container fluid">
    <br />
    <div>
      <div class="card">
        <div class="card-header">
          <h2>Add new Food</h2>
        </div>
        <div class="card-body">
          <form @submit.prevent="addFood()">
            <div class="form-group">
              <label>Food Name</label>
              <input
                type="text"
                class="form-control"
                placeholder="Fill in food menu"
                v-model="name"
              />
            </div>
            <div class="form-group">
              <label>Food Price</label>
              <input
                type="number"
                class="form-control"
                placeholder="1 - 999 Baht"
                v-model="price"
              />
            </div>
            <button type="submit" class="btn btn-primary">Add</button>
          </form>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      name: "",
      price: 0
    };
  },
  methods: {
    addFood() {
      if (this.name) {
        let payload = { name: this.name, price: this.price };
        this.$store.dispatch("addFood", payload);
      }
    }
  }
};
</script>
